Name:       perl-DBIx-Class-DynamicDefault 
Version:    0.03 
Release:    1%{?dist}
# lib/DBIx/Class/DynamicDefault.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Automatically set and update fields 
Source:     http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/DBIx-Class-DynamicDefault-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/DBIx-Class-DynamicDefault
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(DBICx::TestDatabase)
BuildRequires: perl(DBIx::Class) >= 0.08009
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(parent)
BuildRequires: perl(Test::More)

Requires: perl(DBIx::Class)

%description
Automatically set and update fields with values calculated at runtime.


%prep
%setup -q -n DBIx-Class-DynamicDefault-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Tue Jun 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- submission

* Tue Jun 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

